Bug 680602 - Qiv generates coredump with qiv-command is not found
Summary: Qiv generates coredump with qiv-command is not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qiv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-26 10:12 UTC by Zdenek Kabelac
Modified: 2011-03-13 04:43 UTC (History)
1 user (show)

Fixed In Version: qiv-2.2.3-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-12 22:56:21 UTC
Type: ---


Attachments (Terms of Use)

Description Zdenek Kabelac 2011-02-26 10:12:26 UTC
Description of problem:

QIV is generating this coredump:
(gdb) bt
#0  0x00007fc530157285 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007fc530158b9b in abort () at abort.c:92
#2  0x0000000000409ff8 in run_command (q=0x610340, n=0x1850470 "n", filename=0x7fffe1dc02c7 "/home/kabi/myfont.png", numlines=
    0x7fffe1dbdfa8, output=<optimized out>) at utils.c:281
#3  0x0000000000407566 in qiv_handle_event (ev=0x1825560, data=0x610340) at event.c:1089
#4  0x00007fc5325990ac in gdk_event_dispatch (source=<optimized out>, callback=<optimized out>, user_data=<optimized out>)
    at gdkevents-x11.c:2377
....


From the source file it this sequence:
    execlp("qiv-command", "qiv-command", nr, filename, NULL);
    perror("Error calling qiv-command");
    abort();

IMHO using abort there is wrong  - exit(-1) would be much better option.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Zdenek Kabelac 2011-02-26 10:13:04 UTC
Forget to add version number:

qiv-2.2.3-1.fc14.x86_64

Comment 2 Fedora Update System 2011-03-03 13:46:51 UTC
Package qiv-2.2.3-2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qiv-2.2.3-2.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/qiv-2.2.3-2.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-03 13:46:58 UTC
Package qiv-2.2.3-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qiv-2.2.3-2.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/qiv-2.2.3-2.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-04 09:52:33 UTC
qiv-2.2.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qiv'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/qiv-2.2.3-2.fc14

Comment 5 Fedora Update System 2011-03-12 22:56:17 UTC
qiv-2.2.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-03-13 04:43:00 UTC
qiv-2.2.3-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.